<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--mybatis-3-mapper.dtd:约束文件的名称，限制和检查在当前文件中出现的标签和属性符合mybatis的要求-->
<!--namespace：命名空间，要有唯一的值，要求使用dao接口的权限定名称（一个dao接口对应一个mapper，namespace指明对应哪个dao接口）-->
<mapper namespace="com.cool.store.mapper.ShopStageRemarkInfoMapper">
    <resultMap id="BaseResultMap" type="com.cool.store.entity.ShopStageRemarkInfoDO">
        <result  column="id" property="id" jdbcType="BIGINT" />
        <result  column="shop_id" property="shopId" jdbcType="BIGINT" />
        <result  column="shop_sub_stage" property="shopSubStage" jdbcType="INTEGER" />
        <result  column="shop_sub_stage_status" property="shopSubStageStatus" jdbcType="INTEGER" />
        <result  column="line_id" property="lineId" jdbcType="BIGINT" />
        <result  column="workflow_sub_stage" property="workflowSubStage" jdbcType="INTEGER" />
        <result  column="workflow_sub_stage_status" property="workflowSubStageStatus" jdbcType="INTEGER" />
        <result  column="remark" property="remark" jdbcType="VARCHAR" />
        <result  column="create_time" property="createTime" jdbcType="TIMESTAMP" />
        <result  column="update_time" property="updateTime" jdbcType="TIMESTAMP" />
        <result  column="create_user_id" property="createUserId" jdbcType="VARCHAR" />
        <result  column="update_user_id" property="updateUserId" jdbcType="VARCHAR" />
    </resultMap>

</mapper>